Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support.internal.support
Class LazyTargetResolver

    java.lang.Object
      org.eclipse.gemini.blueprint.service.exporter.support.internal.support.LazyTargetResolver

    public class LazyTargetResolver

extends Object

Class encapsulating the lazy dependency lookup of the target bean. Handles caching as well as the lazy listener notifications.

Author:
  Costin Leau

Constructor Summary
`LazyTargetResolver(Object target, org.springframework.beans.factory.BeanFactory beanFactory, String beanName, boolean cacheService, ListenerNotifier notifier, boolean lazyListeners)`

Method Summary
`void` | `activate()`
`Object` | `getBean()`
`Class<?>` | `getType()`
`void` | `notifyIfPossible()`
`void` | `setDecorator(ServiceRegistrationDecorator decorator)`
`void` | `startupUnregisterIfPossible()`
`void` | `unregister(Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyTargetResolver

    public LazyTargetResolver(Object target,
                              org.springframework.beans.factory.BeanFactory beanFactory,
                              String beanName,
                              boolean cacheService,
                              ListenerNotifier notifier,
                              boolean lazyListeners)

Method Detail

### activate

    public void activate()

### getBean

    public Object getBean()

### getType

    public Class<?> getType()

### unregister

    public void unregister(Map properties)

### setDecorator

    public void setDecorator(ServiceRegistrationDecorator decorator)

### notifyIfPossible

    public void notifyIfPossible()

### startupUnregisterIfPossible

    public void startupUnregisterIfPossible()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.